summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristophe Lyon <christophe.lyon@linaro.org>2018-02-08 16:22:44 +0000
committerChristophe Lyon <christophe.lyon@linaro.org>2018-02-08 16:22:44 +0000
commit00baa7f541b5b096d9913ed1df7dfd0d2689d74e (patch)
tree65c9fc84c96c16f4927122525cd5f4bfce98ff6a
parent1f9f1c3a8a599a2d13c830eb89b814d5a00969f3 (diff)
build-linux.sh: Add debug traces (temporary)
Change-Id: I51e26c968403d9db8709cadb606db66b0ce3a22b
-rwxr-xr-xbuild-linux.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/build-linux.sh b/build-linux.sh
index 0173f3b..bd39fa5 100755
--- a/build-linux.sh
+++ b/build-linux.sh
@@ -123,7 +123,11 @@ lava_boot()
# lava_boot.py works only when started from its own dir
pushd ${mydir}
- result=$(python3 ./lava-boot.py --level DEBUG --board ${DEVICE_TYPE} --linux-image app_linux/linux/$KERNEL --linux-dtb app_linux/linux/$DTB starttest | grep "INFO job")
+ python3 ./lava-boot.py --level DEBUG --board ${DEVICE_TYPE} --linux-image app_linux/linux/$KERNEL --linux-dtb app_linux/linux/$DTB starttest > lava.stdout || true
+ echo "Return code: $?"
+ echo "Output:"
+ cat lava.stdout
+ result=$(grep "INFO job" lava.stdout)
popd
case "$result" in